: Class PjFontDescriptor

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.etymon.pj.object
Class PjFontDescriptor

    java.lang.Object
      |
      +--com.etymon.pj.object.BaseObject
            |
            +--com.etymon.pj.object.PjObject
                  |
                  +--com.etymon.pj.object.PjDictionary
                        |
                        +--com.etymon.pj.object.PjFontDescriptor

All Implemented Interfaces:
  java.lang.Cloneable

public class PjFontDescriptor
extends PjDictionary

A representation of a PDF font descriptor (abstract base class).

Fields inherited from class com.etymon.pj.object.PjDictionary
`_h`

Constructor Summary
`PjFontDescriptor()` Creates a new font descriptor dictionary.
`PjFontDescriptor(java.util.Hashtable h)` Creates a font descriptor dictionary as a wrapper around a Hashtable.

Method Summary
`static boolean` | `flagsAllCap(int flags)`
`static boolean` | `flagsFixedWidth(int flags)`
`static boolean` | `flagsForceBoldAtSmallSizes(int flags)`
`static boolean` | `flagsItalic(int flags)`
`static boolean` | `flagsRomanCharSet(int flags)`
`static boolean` | `flagsScript(int flags)`
`static boolean` | `flagsSerif(int flags)`
`static boolean` | `flagsSmallCap(int flags)`
`static boolean` | `flagsSymbolic(int flags)`
`PjObject` | `getAscent()`
`PjObject` | `getAvgWidth()`
`PjObject` | `getCapHeight()`
`PjObject` | `getCharSet()`
`PjObject` | `getDescent()`
`java.lang.String` | `getFlagBits()` Deprecated.
`PjObject` | `getFlags()`
`PjObject` | `getFontBBox()`
`PjObject` | `getFontFile()`
`PjObject` | `getFontFile2()`
`PjObject` | `getFontFile3()`
`PjObject` | `getFontName()`
`PjObject` | `getItalicAngle()`
`PjObject` | `getLeading()`
`PjObject` | `getMaxWidth()`
`PjObject` | `getMissingWidth()`
`PjObject` | `getStemH()`
`PjObject` | `getStemV()`
`PjObject` | `getXHeight()`
`static boolean` | `isLike(PjDictionary dictionary)` Examines a dictionary to see if it is a PDF font descriptor.
`void` | `setAscent(PjNumber ascent)`
`void` | `setAvgWidth(PjNumber avgWidth)`
`void` | `setCapHeight(PjNumber capheight)`
`void` | `setCharSet(PjString charSet)`
`void` | `setDescent(PjNumber descent)`
`void` | `setFlags(PjNumber flags)`
`void` | `setFontBBox(PjRectangle fontbbox)`
`void` | `setFontFile(PjStream fontFile)`
`void` | `setFontFile2(PjStream fontFile2)`
`void` | `setFontFile3(PjStream fontFile3)`
`void` | `setFontName(PjName fontname)`
`void` | `setItalicAngle(PjNumber italicangle)`
`void` | `setLeading(PjNumber leading)`
`void` | `setMaxWidth(PjNumber maxWidth)`
`void` | `setMissingWidth(PjNumber missingWidth)`
`void` | `setStemH(PjNumber stemH)`
`void` | `setStemV(PjNumber stemv)`
`void` | `setXHeight(PjNumber xHeight)`

Methods inherited from class com.etymon.pj.object.PjDictionary
`clone, cloneHt, getHashtable, hget, hgetReference, renumber, writePdf`

Methods inherited from class com.etymon.pj.object.BaseObject
`toString, write, write, write, writeln`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PjFontDescriptor

    public PjFontDescriptor()

  Creates a new font descriptor dictionary.

### PjFontDescriptor

    public PjFontDescriptor(java.util.Hashtable h)

  Creates a font descriptor dictionary as a wrapper around a Hashtable.
  Parameters:
    `h` - the Hashtable to use for this dictionary.

Method Detail

### setAscent

    public void setAscent(PjNumber ascent)

### getAscent

    public PjObject getAscent()
                       throws InvalidPdfObjectException

### setCapHeight

    public void setCapHeight(PjNumber capheight)

### getCapHeight

    public PjObject getCapHeight()
                          throws InvalidPdfObjectException

### setDescent

    public void setDescent(PjNumber descent)

### getDescent

    public PjObject getDescent()
                        throws InvalidPdfObjectException

### setFlags

    public void setFlags(PjNumber flags)

### getFlags

    public PjObject getFlags()
                      throws InvalidPdfObjectException

### flagsFixedWidth

    public static boolean flagsFixedWidth(int flags)

### flagsSerif

    public static boolean flagsSerif(int flags)

### flagsSymbolic

    public static boolean flagsSymbolic(int flags)

### flagsScript

    public static boolean flagsScript(int flags)

### flagsRomanCharSet

    public static boolean flagsRomanCharSet(int flags)

### flagsItalic

    public static boolean flagsItalic(int flags)

### flagsAllCap

    public static boolean flagsAllCap(int flags)

### flagsSmallCap

    public static boolean flagsSmallCap(int flags)

### flagsForceBoldAtSmallSizes

    public static boolean flagsForceBoldAtSmallSizes(int flags)

### getFlagBits

    public java.lang.String getFlagBits()
                                 throws InvalidPdfObjectException

  Deprecated.

### setFontBBox

    public void setFontBBox(PjRectangle fontbbox)

### getFontBBox

    public PjObject getFontBBox()
                         throws InvalidPdfObjectException

### setFontName

    public void setFontName(PjName fontname)

### getFontName

    public PjObject getFontName()
                         throws InvalidPdfObjectException

### setItalicAngle

    public void setItalicAngle(PjNumber italicangle)

### getItalicAngle

    public PjObject getItalicAngle()
                            throws InvalidPdfObjectException

### setStemV

    public void setStemV(PjNumber stemv)

### getStemV

    public PjObject getStemV()
                      throws InvalidPdfObjectException

### setAvgWidth

    public void setAvgWidth(PjNumber avgWidth)

### getAvgWidth

    public PjObject getAvgWidth()
                         throws InvalidPdfObjectException

### setCharSet

    public void setCharSet(PjString charSet)

### getCharSet

    public PjObject getCharSet()
                        throws InvalidPdfObjectException

### setFontFile

    public void setFontFile(PjStream fontFile)

### getFontFile

    public PjObject getFontFile()
                         throws InvalidPdfObjectException

### setFontFile2

    public void setFontFile2(PjStream fontFile2)

### getFontFile2

    public PjObject getFontFile2()
                          throws InvalidPdfObjectException

### setFontFile3

    public void setFontFile3(PjStream fontFile3)

### getFontFile3

    public PjObject getFontFile3()
                          throws InvalidPdfObjectException

### setLeading

    public void setLeading(PjNumber leading)

### getLeading

    public PjObject getLeading()
                        throws InvalidPdfObjectException

### setMaxWidth

    public void setMaxWidth(PjNumber maxWidth)

### getMaxWidth

    public PjObject getMaxWidth()
                         throws InvalidPdfObjectException

### setMissingWidth

    public void setMissingWidth(PjNumber missingWidth)

### getMissingWidth

    public PjObject getMissingWidth()
                             throws InvalidPdfObjectException

### setStemH

    public void setStemH(PjNumber stemH)

### getStemH

    public PjObject getStemH()
                      throws InvalidPdfObjectException

### setXHeight

    public void setXHeight(PjNumber xHeight)

### getXHeight

    public PjObject getXHeight()
                        throws InvalidPdfObjectException

### isLike

    public static boolean isLike(PjDictionary dictionary)

  Examines a dictionary to see if it is a PDF font descriptor.
  Parameters:
    `dictionary` - the dictionary to examine.
  Returns:
    true if the dictionary could be interpreted as a valid PjFontDescriptor object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD